#{extends 'border.html'/}
<div class="container">
#{form @admin.UserCtr.createSubmit(), name:'userEditForm', method:'POST', class:'form-horizontal'}
    <input type="hidden" name="length" value="10">
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{admin.UserCtr.index()}">&{'pengguna.label'}</a></li>
				<li class="active">&{'tambah.label'} &{'pengguna.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton /}
				#{saveButton /}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<div class="message-container">

			</div>
			<div class="panel panel-default">
				<div class="panel-body">
					<ul class="nav nav-tabs" role="tablist">
						<li role="presentation" class="active"><a href="#form-user" aria-controls="group-role" role="tab" data-toggle="tab">&{'form_pengguna.label'}</a></li>
						<li role="presentation"><a href="#role" aria-controls="role" role="tab" data-toggle="tab">&{'peran.label'}</a></li>
						<li role="presentation"><a href="#komoditas" aria-controls="komoditas" role="tab" data-toggle="tab">&{'komoditas.label'}</a></li>
						<li role="presentation"><a href="#paket" aria-controls="paket" role="tab" data-toggle="tab">&{'paket.label'}</a></li>
					</ul>
					
					<div class="tab-content">
						<!-- Form Form User -->
						<div role="tabpanel" class="tab-pane active required" id="form-user">
							#{include 'pl/form-user/tab-data-user.html'/}
						</div>
						<!-- End Form User -->
						
						<!-- Form Role -->
						<div role="tabpanel" class="tab-pane" id="role">
							#{include 'pl/form-user/tab-role.html'/}
						</div>
						<!-- End Form Role -->
						
						<!-- Form Komoditas -->
						<div role="tabpanel" class="tab-pane" id="komoditas">
							#{include 'pl/form-user/tab-komoditas.html'/}
						</div>
						<!-- End Form Komoditas -->
						
						<!-- Form Paket -->
						<div role="tabpanel" class="tab-pane" id="paket">
							#{include 'pl/form-user/tab-paket.html'/}
						</div>
						<!-- End Form Paket -->
					</div>
				</div>
			</div>
		</div>
	</div>
#{/form}
</div>

#{validationPackage /}

<script type="application/javascript">
    function randomPassword(length) {
        var chars = "abcdefghijklmnopqrstuvwxyz!@#$%^&*()-+<>ABCDEFGHIJKLMNOP1234567890";
        var pass = "";
        for (var x = 0; x < length; x++) {
            var i = Math.floor(Math.random() * chars.length);
            pass += chars.charAt(i);
        }
        return pass;
    }

    function generate() {
    	let length = userEditForm.length.value;
    	let pwd = randomPassword(length);
        $("#user_password").val(pwd);
    }

</script>

#{set 'moreScripts'}
<script type="text/javascript">

    var params = {};
    params['searchUrl'] = '@{purchasing.PaketCtr.searchPackages()}';
    var paket_ids = ${paketIds != null ? paketIds : []};


    jQuery(document).ready(function() {
		getKldi();
        jQuery(function () {
            jQuery.getScript('/public/javascripts/user/user.js');
        });

        jQuery(function () {
            jQuery.getScript('/public/javascripts/paket/searchpackage.js');
        });
 
 		$("body").on("click", "#generate-password-btn", generate);

        $('.form-checkbox').click(function(){
            if($(this).is(':checked')){
                $('.form-password').attr('type','text');
            }else{
                $('.form-password').attr('type','password');
            }
        });
    });

	function getKldi() {
		$('#kategoriKomoditas').on('change', function() {
			if(this.value == 'lokal' || this.value == 'sektoral') {
				$('#selectKldi').show();
				$(document).ajaxStart(function(){$.showLoading();});
				$.ajax({
					url: "@{controllers.admin.KomoditasCtr.getKldi()}",
					data: {
						param: this.value
					},
					dataType: 'json',
					success: function (res) {
						// console.log(res);
						$("#kldi").empty();

						for (var i = 0; i < res.length; i++) {
							var obj = res[i];
							$("#kldi").append(new Option(obj.nama, obj.id));
						}
					}
				});
				$(document).ajaxComplete(function(){$.hideLoading();});
			} else{
				$('#selectKldi').hide();
			}
		});
	}


    var contents = $('#paket').val();
    contents.onclick = function () {
		myFunction();
    }

    function myFunction() {
        alert("test");
    }

    function activaTab(tab){
        $('.nav-tabs a[href="#' + tab + '"]').tab('show');
    };

    $(".btn-primary").click(function () {
        activaTab('form-user');
		//event.preventDefault();
    });



</script>
#{/set}